Subject: Re: Porblems compiling under AIX 4.1.3

From: [email-masked] (Paul Fincher (CACI))
Date: Wed, 29 May 1996 10:16:41 -0400

Jose,

   Just to give some comfort about Bison, Jim is right, Bison is a great parser 
generator (compared to the standard yacc) and I have used it in several areas of 
my own software development projects. You can get it at prep.ai.mit.edu under
pub/gnu. A great book on parser generating is "lex & yacc" by John Levine, 
O'Reilly & Associates. By the way, GNU does have a 'lex' equivilent called flex 
which is also very nice. Have fun!!

Paul Fincher
J-MASS Operational Support
[email-masked]

--> Jose,
--> 
--> YACC stands for "Yet Another Compiler Compiler" and is a program
--> which is used to generate parsers for a specified grammer.  The grammer is
--> coded using a special syntax.  The actual output from yacc is a C program
--> suitable for including with other C programs.  Although you could 
--> probably get a pre-yacc'd version of the ftpcmd.y file the safest thing to
--> do is to install a public domain version of yacc which is known as bison 
--> (no kidding!).  It is one of the "gnu" supported products and can be 
--> retrieved from any site which has a gnu directory.  I suggest you use archie
--> or some other search engine to locate the best site from which to 
--> retrieve it.
--> 
--> Once you retrieve and compile the source you can probably do one of two 
--> things.  Either rename it to yacc or modify the make files to call bison 
--> instead of yacc.  You may need to experiment to get it right.
--> 
--> Good luck,
--> Jim
--> 
--> 
--> On Tue, 28 May 1996, Jose Roberto Bulcao wrote:
--> 
--> > 
--> > Please,
--> > 
--> > 	I had a problem compiling wu-ftp daemon 2.4 under AIX 4.1.3 and 
--> > IBM xlC 3.1.2 C compiler. 
--> > 	After following the installation guidelines I tried to 
--> > "./build aix", then the system returned the following error when was 
--> > trying to make ftpd:
--> > 
--> > -------------------------------------------------------------------------
--> > Making ftpd.
--> >         yacc  ftpcmd.y
--> > yacc: not found
--> > 
--> > make: 1254-004 The error code from the last command is 1.
--> > 
--> > 
--> > Stop.
--> > -------------------------------------------------------------------------
--> > 
--> > I've never heard before about "yacc". Does anyone has had the same 
problem?
--> > Any hints will be welcome !!!
--> > 
--> > 	TIA and regards,
--> > 
--> > 
--> > 
----------------------------------------------------------------------------
--> > Jose Roberto Bulcao             |           Tel    : (021) 
571-4325/268-0717
--> > RioLink Internet                |           Tel/Fax: (021) 208-0696
--> > O Seu Servidor!!                |           e-mail : [email-masked]
--> > 
--------------------------------+-------------------------------------------
--> >         ***** VISITE NOSSA HOME PAGE: HTTP://WWW.RIO.COM.BR *****
--> > 
----------------------------------------------------------------------------
--> > 
-->

---

From: [email-masked] (Bill Campbell)
Date: Wed, 29 May 1996 08:42:43 -0700 (PDT)

>pub/gnu. ....

The last time I looked using bison means that anything generated by it
will be subject to the gnu CopyLeft because bison incorporates gnu
code as part of its output.

Bill
--
INTERNET:   [email-masked]  Bill Campbell; Celestial Systems, Inc.
UUCP:               camco!bill  PO Box 820; 2835 82nd Avenue S.E. S-100
FAX:            (206) 232-9186  Mercer Island, WA 98040-0820; (206) 236-1676
URL: http://www.celestial.com/

Cutting the space budget really restores my faith in humanity.  It
eliminates dreams, goals, and ideals and lets us get straight to the
business of hate, debauchery, and self-annihilation.
		-- Johnny Hart